profile
viewpoint
Mahmonir Bakhtiyari MahmonirB Ostadkar Tehran React Native Developer

MahmonirB/school 0

A mobile application

MahmonirB/SchoolManage 0

A mobile app about school management

issue commentmicrosoft/react-native-code-push

Error: spawn node_modules/hermesvm/osx-bin/hermes ENOENT

Finally in React native 0.63.3, I uninstall hermes-engine@0.5.0 and install hermes-engine@0.4.0.

MahmonirB

comment created time in 8 days

issue commentnecolas/react-native-web

any rich samples?

Is there any update about this? I have this issue, react-native-code-push with react-native-web, please help me, how can I resolve it? Thank you

fatfatson

comment created time in 9 days

issue openedKirillGudkov/react-native-in-app-message

Using customComponent, other button's onPress does not work.

when I use customComponent, I modify some button to do various actions, but just onPress of Notification is done. how ca I handle it?

created time in 23 days

issue commentnotifee/react-native-notifee

Error: Notifee native module not found., js engine: hermes

I'll clone it and try manual linking way, then come back again. Thank for your attention.

MahmonirB

comment created time in 23 days

issue commentnotifee/react-native-notifee

Error: Notifee native module not found., js engine: hermes

I remove node modules and install it several times.

MahmonirB

comment created time in 24 days

issue commentnotifee/react-native-notifee

Error: Notifee native module not found., js engine: hermes

Thanks for your reply. The platform is android now, and about the problem it is important to say when I comment notifee notification code, the project build successful (I am using fast refresh). In my idea, hermes is doubtfull here.

MahmonirB

comment created time in 24 days

issue openednotifee/react-native-notifee

Error: Notifee native module not found., js engine: hermes

when I use notifee for display cloud message firebase notification, i get this error in app. there is my package.json: { "name": "ostadkar_provider_app", "version": "4.0.1", "private": true, "scripts": { "android": "react-native run-android", "ios": "react-native run-ios", "start": "react-native start", "test": "jest", "lint": "eslint .", "pre-release": "npx jetify", "swaggerGenerate": "ts-node bin/generate-swagger.ts", "start:android": "react-native run-android & react-native start", "storybook": "react-native run-android & react-native start ", "storybook:android": "ENVFILE=.env.storybook react-native run-android & react-native start", "format": "prettier --write 'src/**/*.{js,jsx,ts,tsx,json,css,scss,md}'", "post-build": "sentry-cli releases set-commits $npm_package_version --auto && sentry-cli releases files $npm_package_version upload-sourcemaps --rewrite ./android/app/build/generated/assets/react/release/index.android.bundle ./android/app/build/generated/sourcemaps/react/release/index.android.bundle.map", "post-build-windows": "sentry-cli releases set-commits %npm_package_version% --auto && sentry-cli releases files %npm_package_version% upload-sourcemaps --rewrite ./android/app/build/generated/assets/react/release/index.android.bundle ./android/app/build/generated/sourcemaps/react/release/index.android.bundle.map" }, "dependencies": { "@notifee/react-native": "^0.13.0", "@react-native-community/async-storage": "^1.11.0", "@react-native-community/cli": "^4.9.0", "@react-native-community/netinfo": "^5.9.1", "@react-native-firebase/analytics": "^7.6.1", "@react-native-firebase/app": "^8.4.1", "@react-native-firebase/messaging": "^7.8.3", "@sentry/react-native": "^1.5.0", "@sentry/wizard": "^1.1.4", "@storybook/addon-actions": "^6.0.21", "@storybook/addons": "^6.0.21", "@storybook/react-native": "^5.3.21", "axios": "^0.19.0", "code-push": "^3.1.3", "color": "^3.1.2", "core-js": "^2.6.11", "core-js-bundle": "^3.6.4", "core-js-pure": "^3.6.4", "core-util-is": "^1.0.2", "hermes-engine": "0.4.1", "lodash": "^4.17.15", "material-design-icons": "^3.0.1", "prettier": "^2.0.2", "pretty-quick": "^2.0.1", "react": "16.11.0", "react-hook-form": "^5.7.2", "react-native": "0.62.2", "react-native-axios": "^0.17.1", "react-native-bundle-visualizer": "^2.1.1", "react-native-code-push": "^6.2.0", "react-native-config": "^0.12.0", "react-native-debugger": "^1.1.0", "react-native-device-info": "^5.2.1", "react-native-gesture-handler": "^1.6.1", "react-native-global-props": "^1.1.5", "react-native-image-picker": "^2.3.0", "react-native-material-dropdown": "^0.11.1", "react-native-modal": "^11.5.6", "react-native-navigation-hooks": "^2.21.0", "react-native-push-notification": "^5.0.1", "react-native-reanimated": "^1.10.1", "react-native-screens": "^2.9.0", "react-native-svg": "^9.11.1", "react-native-uuid": "^1.4.9", "react-native-vector-icons": "6.6.0", "react-navigation": "^4.3.9", "react-navigation-stack": "^1.9.3", "react-redux": "^7.2.0", "redux": "^4.0.5" }, "devDependencies": { "@babel/core": "^7.10.3", "@babel/runtime": "^7.10.3", "@react-native-community/eslint-config": "^2.0.0", "@types/color": "^3.0.0", "@types/jest": "^24.0.17", "@types/lodash": "^4.14.137", "@types/react": "^16.9.2", "@types/react-native": "^0.60.6", "@types/react-test-renderer": "^16.9.0", "babel-jest": "^26.1.0", "babel-loader": "^8.0.6", "babel-plugin-module-resolver": "^3.2.0", "eslint": "^7.3.1", "eslint-config-airbnb": "^18.1.0", "eslint-plugin-import": "^2.20.2", "eslint-plugin-jsx-a11y": "^6.2.3", "eslint-plugin-react": "^7.19.0", "husky": "^3.0.4", "jest": "^26.1.0", "lint-staged": "^9.2.2", "metro": "^0.59.0", "metro-react-native-babel-preset": "^0.59.0", "react-dom": "16.8.6", "react-test-renderer": "16.13.1", "swagger-typescript-codegen": "^3.0.1", "ts-node": "^8.6.2", "typescript": "^3.7.5" }, "jest": { "preset": "react-native" }, "husky": { "hooks": { "pre-commit": "pretty-quick lint-staged --staged" } }, "pretty-quick": { "format": [ "git add" ] }, "lint-staged": { "*.{js,jsx}": [ "eslint --fix", "git add" ] } }

created time in 24 days

issue commentrobcalcroft/react-native-in-app-notification

UseNativeDriver

I have this warning when I use showNotification Animated: useNativeDriver was not specified. This is a required option and must be explicitly set to true or false how can i resolve it?

shiftrtech

comment created time in a month

issue commentinvertase/react-native-firebase

[Android][Notification] getInitialNotification cant get notification data

I have this issue in Android. react-native: "0.62.2" react-native-firebase: "~5.6.0"

jindada

comment created time in 2 months

issue commentchristopherdro/react-native-html-to-pdf

React Native 0.63.x Error: RNHTMLtoPDF error: Could not create folder structure.

My build gradle tools is current 3.5.2: classpath("com.android.tools.build:gradle:3.5.2")

fxbayuanggara

comment created time in 2 months

issue commentchristopherdro/react-native-html-to-pdf

React Native 0.63.x Error: RNHTMLtoPDF error: Could not create folder structure.

I use this package in RN 0.62.2 and I have this error: Could not create folder structure. what should I do?

fxbayuanggara

comment created time in 2 months

issue commentmicrosoft/react-native-code-push

Error: spawn node_modules/hermesvm/osx-bin/hermes ENOENT

Hi, excuse me for my late. Finally, I created new react-native@0.62.2, installed react-native-code-push on it, it works fine.

MahmonirB

comment created time in 3 months

more